function [Amplitude, Phase] = AandP(E,varargin)
% AANDP(E,WRAPPING) returns the Amplitude and Phase of a
% complex field E, with WRAPPING of the phase either 'ON' or 'OFF'.

error(nargchk(1,2,nargin))

[wrapping] = parsevarargin(varargin,'ON');


Amplitude = quickscale(abs(E));

if wrapping == 'ON'
    Phase = -unwrap(angle(E));
else
    Phase = -angle(E);
end

% Sets Phase equal to 0 at the peak values
Phase = Phase - Phase(MaxIndex(Amplitude));
