function [Eenv, t] = fguassian(FWHM,N,deltat)
%   Function for a guassian envelope.
%
%   FWHM - FWHM of the pulse to be generated.
%   N = the length of the vector to return.
%   deltat =  time increment in fsec.
%   
%

%	v1.0, 6/28/01, Michael Butterfield, <gte881s@prism.gatech.edu>
%
%	$Revision: 1.1 $ $Date: 2001/10/18 19:33:49 $
%
%	$Log: fgaussian.m,v $
%	Revision 1.1  2001/10/18 19:33:49  zeekec
%	Renamed file to correct misspelling.
%	
%	Revision 1.2  2001/07/10 01:10:00  zeekec
%	Library cleanup.  Added, deleted, and moved files.
%	
%

t = ((1:N)-((N/2)+1))*deltat;
T = FWHM/2/sqrt(log(2)/2);
Eenv = exp(-( t/T ).^2);    
