function w=ltow(l,u)
% LTOW converts wavelengths to angular frequencies and vice versa
%	LTOW(L) converts wavelength L to an angular frequency.
%
%	LTOW(W) converts angula frequency W to a wavelength.
%
%	LTOW(...,U) uses the units U for the conversion.
%	U defaults to nm/fs.

%	$Revision: 1.2 $ $Date: 2002/04/30 22:26:34 $
%
%	$Log: ltow.m,v $
%	Revision 1.2  2002/04/30 22:26:34  zeekec
%	Added check for empty units.
%	
%	Revision 1.1  2001/10/16 15:11:50  zeekec
%	Added functions
%	

error(nargchk(1,2,nargin));

if nargin < 2 | isempty(u)
	u = 'nm/fs';
end

w = const_c(u)./l * 2 * pi;

