function [Isig,dt,l0,dl] = MakeIsig(P,G,T,l0,varargin)
% PLOTFROG plots a FROG trace.

error(nargchk(4,6,nargin));

[sve,u] = ParseVarargin(varargin, false, 'nm/fs');

dt = abs(mean(diff(T)));

Esig = CalcEsig(P,G);

Isig = abs(fft_FROG(Esig)).^2;

dw = 2*pi ./ (max(T) - min(T));

l0 = l0 / 2;
w0 = ltow(l0);

W = (((0:length(T)-1) - (length(T) / 2)) * dw + w0)';

[L,Isig] = ToConstWaveSpc(W,Isig);

Isig = nonegatives(Isig);

dl = mean(diff(L));

plot_Isig(Isig,L,T);

if sve
    FrogSave(Isig,dt,l0,dl);
end
